#include <Adafruit_GFX.h>				
#include <Fontx.h>							
#include <Humblesoft_GFX.h>			
#include <Humblesoft_LedMat.h>

uint8_t imgBuf[8*1024];

void setup(void)
{
  Serial.begin(115200);
  delay(100);
  Serial.println("\n\nReset:");

  if(LedMat.begin(LMMT64x32s16)){
		Serial.println("begin() succeeded.");
	} else {
		Serial.println("begin() failed.");
	}
	LedMat.setImgBuf(imgBuf, sizeof(imgBuf));
	LedMat.setLedMode(1);

	LedMat.clear();
	LedMat.setCursor(1,0);
	LedMat.println("RGB_TEST");
	LedMat.setTextColor("#ff0000");
	LedMat.println("RED");
	LedMat.setTextColor("#00ff00");
	LedMat.println("GREEN");
	LedMat.setTextColor("#0000ff");
	LedMat.println("BLUE");
	LedMat.display();

	LedMat.setVerbose(2);
	LedMat.checkSubcon();
}

void loop(void){
}


/*** Local variables: ***/
/*** tab-width:2      ***/
/*** truncate-lines:t ***/
/*** End:             ***/
